Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  class DocFactory extends AnyRef

  A documentation processor controls the process of generating Scala documentation, which is as follows.

  A documentation processor controls the process of generating Scala documentation, which is as follows.

  * A simplified compiler instance (with only the front-end phases enabled) * is created, and additional `sourceless` comments are registered. * Documentable files are compiled, thereby filling the compiler's symbol table. * A documentation model is extracted from the post-compilation symbol table. * A generator is used to transform the model into the correct final format (HTML).

  A processor contains a single compiler instantiated from the processor's `settings`. Each call to `document` uses the same compiler instance with the same symbol table. In particular, this implies that the scaladoc site obtained from a call to `run` will contain documentation about files compiled during previous calls to the same processor's `run` method.

  Definition Classes
    doc
- NoCompilerRunException
- compiler

o

scala.tools.nsc.doc.DocFactory

# NoCompilerRunException 

###

#### object NoCompilerRunException extends Throwable with ControlThrowable

Source
  DocFactory.scala

Linear Supertypes
ControlThrowable, NoStackTrace, java.lang.Throwable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoCompilerRunException
2. ControlThrowable
3. NoStackTrace
4. Throwable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: java.lang.Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def fillInStackTrace(): Throwable
   Definition Classes
     NoStackTrace → Throwable
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  def getCause(): java.lang.Throwable
    Definition Classes
      Throwable
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
14.  def getMessage(): String
    Definition Classes
      Throwable
15.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
16.  final def getSuppressed(): Array[java.lang.Throwable]
    Definition Classes
      Throwable
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def initCause(arg0: java.lang.Throwable): java.lang.Throwable
    Definition Classes
      Throwable
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
24.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
25.  def printStackTrace(): Unit
    Definition Classes
      Throwable
26.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from ControlThrowable

### Inherited from NoStackTrace

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped